Skip to main content
Create Default Recurrence By Date

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

StartDate

CreateDefaultRecurrenceByDate: Creates a RecurrenceInfo object populated with the default values for the specific type. Using startDate as start date for the recurreing pattern.

StartDate
string<date-time>

Response

OK

Class representing the recurrence of an appointment booking

RecurrenceId
integer<int32>

The recurrence rule id

StartDate
string<date-time>

Start date of the repetition pattern

EndDate
string<date-time>

End date of the repetition pattern Only used when the end is calculated from a end date. {SuperOffice.Data.RecurrenceEndType.EndDate}

RecurrenceCounter
integer<int32>

Number of recurrences Only used when the end is calculated from a number of repetitions. {SuperOffice.Data.RecurrenceEndType.Counter}

RecurrenceEndType
enum<string>

Type defining how the end of the recurrence sequence should be calculated

Available options:
Unknown,
EndDate,
Counter
Pattern
enum<string>

The recurrence pattern (Daily, Weekly, Monthly, Yearly, Custom)

Available options:
Unknown,
Daily,
Weekly,
Monthly,
Yearly,
Custom
DayPattern
object

Class representing a pattern for daily recurrence

WeekPattern
object

Class representing a pattern for weekly recurrence

MonthPattern
object

Class representing a pattern for monthly recurrence

YearPattern
object

Class representing a pattern for yearly recurrence

Dates
object[]

List of all dates where this recurrence occurs

IsRecurrence
boolean

Get a or set IsRecurrence, indicating if this is a repeating appointment or not.